#ifndef _FILE_HDL_H_
#define _FILE_HDL_H_
#include"stree.h"

#define IDX_MAGIC 140478

#define TRANSITION_SIZE 14

/* Initializes files defined in data */
int init_files(st_meta *data);

/* Checks that transitions of node here is in RAM. */
int valid_transitions(st_meta *data,st_node *here);

/* Read character at textfile position k. */
char read_tchar(st_meta *data, long k);

/* Read a string between bgin and end, max limit characters. */
char *read_string(st_meta *data, char *buf, long bgin, long end, long limit);

/* Save the tree. */
int save_tree(st_meta *data);


#endif
